Package: org.gradle.plugins.ide.idea.model

## [Java] Class Workspace

- org.gradle.plugins.ide.idea.model.Workspace

- Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Workspace (org.gradle.internal.xml.XmlTransformer withXmlActions)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected String` | `getDefaultResourceName()`
    `protected void` | `load(groovy.util.Node xml)`
    `protected void` | `store(groovy.util.Node xml)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findFirstChildNamed(groovy.util.Node, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findFirstChildWithAttributeValue(groovy.util.Node, java.lang.String, java.lang.String, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findOrCreateFirstChildNamed(groovy.util.Node, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findOrCreateFirstChildWithAttributeValue(groovy.util.Node, java.lang.String, java.lang.String, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()`

- - ### Constructor Detail

    - #### public Workspace(org.gradle.internal.xml.XmlTransformer withXmlActions)

  - ### Method Detail

    - #### @Override protected String getDefaultResourceName()

    - #### @Override protected void load(groovy.util.Node xml)

    - #### @Override protected void store(groovy.util.Node xml)